Bug 805410 - [abrt] mailx-12.5-3.fc15: which_protocol: Process /bin/mailx was killed by signal 11 (SIGSEGV)
[abrt] mailx-12.5-3.fc15: which_protocol: Process /bin/mailx was killed by si...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mailx (Show other bugs)
16
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Schiffer
Fedora Extras Quality Assurance
abrt_hash:66420782b964d1e0a18b77f826a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 04:36 EDT by cnangel
Modified: 2012-11-19 22:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-19 22:10:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: pwd (20 bytes, text/plain)
2012-03-21 04:36 EDT, cnangel
no flags Details
File: maps (4.95 KB, text/plain)
2012-03-21 04:36 EDT, cnangel
no flags Details
File: smolt_data (3.42 KB, text/plain)
2012-03-21 04:36 EDT, cnangel
no flags Details
File: backtrace (14.57 KB, text/plain)
2012-03-21 04:36 EDT, cnangel
no flags Details

  None (edit)
Description cnangel 2012-03-21 04:36:00 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        mail -s '\xe9\x82\xae\xe4\xbb\xb6\xe6\xa0\x87\xe9\xa2\x98' junliang.li@alibaba-inc.com -a 'MIME-Version: 1.0\\r\\n' -a 'Content-type: text/html; charset=utf-8\\r\\n' -a From:junliang.li@alibaba-inc.com
comment:        send mail for html 
crash_function: which_protocol
executable:     /bin/mailx
kernel:         3.2.10-3.fc16.i686.PAE
pid:            17601
reason:         Process /bin/mailx was killed by signal 11 (SIGSEGV)
time:           2012年03月21日 星期三 15时31分54秒
uid:            1000
username:       cnangel

backtrace:      Text file, 14920 bytes
maps:           Text file, 5070 bytes
pwd:            Binary file, 20 bytes
smolt_data:     Binary file, 3506 bytes

build_ids:
:92418f7b783e29ab8440148e3fb0cbcfb8bb354a
:1002abe0291e2b40a073f1d82ed0322e82a760dc
:3aed71a6e79a28101ca36e6e9b3e8e053b73421a
:e165994d574251ff921338a0b89bd3e06dbfa2d1
:85d9f523fc5d766296825c29f6b588b68cfd985c
:0c42d41b807c8cf7bcfa07558b3c29014947986e
:445307fbe56f1bc5528e4f3756522633c6a9aced
:66bde8f1c5ea0505d428ab205352524e2ccfa7ac
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:fa52c94417eb9760265bfd6381ecece7afe41c56
:35429a13835de313cf19340c8a7f89d8ea39c47a
:425fbfbf600b830639ae3781fbf8bbeb4d1d9dad
:0351a659bc0812678c67f62af1f802a5f367befc
:842511af8c84279ea3bc74f861f367c41cbb6ca0
:5508c2da0173109ea1546be9199e8e9eb135f37b
:e86235c1e48bee9d33e34fa2b8403598f0af3871
:c426419184fb3dcbe313f2b886f0228b7effc9ea
:e42d500dc9e803be62453540b4c81a12e96a006a
:56c1b56c79bc8f1606bb4ae19aecbe40abc56691
:ae15534ba0067272ad8a7be96ba555e6347ae845
:a8bf58adcf7edc7b1bed09d49658a3ee0894c5e6
:a0145551959278c1b80ce3e5386fc95a2dceace1
:10cec21724c13b95ec03f00985b0405412817a49

dso_list:
:/usr/lib/gconv/gconv-modules.cache glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330306395
:/usr/lib/libnssutil3.so nss-util-3.13.3-2.1.fc16.i686 (Fedora Project) 1332126525
:/lib/libpthread-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330306395
:/lib/libcom_err.so.2.1 libcom_err-1.41.14-2.fc15.i686 (Fedora Project) 1321904337
:/lib/libkrb5.so.3.3 krb5-libs-1.9.2-6.fc16.i686 (Fedora Project) 1329196313
:/lib/libkeyutils.so.1.4 keyutils-libs-1.5.2-1.fc16.i686 (Fedora Project) 1321904346
:/usr/lib/gconv/ISO8859-1.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330306395
:/usr/lib/libnss3.so nss-3.13.3-1.fc16.i686 (Fedora Project) 1332126568
:/lib/libplc4.so nspr-4.9-1.fc16.i686 (Fedora Project) 1332126518
:/lib/libselinux.so.1 libselinux-2.1.6-6.fc16.i686 (Fedora Project) 1329360464
:/bin/mailx mailx-12.5-3.fc15.i686 (Fedora Project) 1321904495
:/lib/libz.so.1.2.5 zlib-1.2.5-6.fc16.i686 (Fedora Project) 1327133577
:/usr/lib/libssl3.so nss-3.13.3-1.fc16.i686 (Fedora Project) 1332126568
:/lib/libdl-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330306395
:/lib/libgssapi_krb5.so.2.2 krb5-libs-1.9.2-6.fc16.i686 (Fedora Project) 1329196313
:/lib/libresolv-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330306395
:/lib/libk5crypto.so.3.1 krb5-libs-1.9.2-6.fc16.i686 (Fedora Project) 1329196313
:/lib/libc-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330306395
:/lib/libplds4.so nspr-4.9-1.fc16.i686 (Fedora Project) 1332126518
:/usr/lib/locale/locale-archive glibc-common-2.14.90-24.fc16.6.i686 (Fedora Project) 1330306388
:/lib/libkrb5support.so.0.1 krb5-libs-1.9.2-6.fc16.i686 (Fedora Project) 1329196313
:/lib/ld-2.14.90.so glibc-2.14.90-24.fc16.6.i686 (Fedora Project) 1330306395
:/usr/lib/libsmime3.so nss-3.13.3-1.fc16.i686 (Fedora Project) 1332126568
:/lib/libnspr4.so nspr-4.9-1.fc16.i686 (Fedora Project) 1332126518

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1735
:XDG_SESSION_ID=1
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-VLieST/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=5000000
:XDG_SESSION_COOKIE=0e82d3854483fceff4914c350000000d-1332291732.526661-521947187
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=52428805
:GNOME_KEYRING_CONTROL=/tmp/keyring-VLieST
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:LC_ALL=zh_CN.UTF-8
:IMSETTINGS_MODULE=IBus
:USER=cnangel
:HISTFILESIZE=1000000000
:SVN_EDITOR=vim
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.html=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/tmp/ssh-HxaraEFQ1732/agent.1732
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1586,unix/unix:/tmp/.ICE-unix/1586
:USERNAME=cnangel
:LSCOLORS=cxgxcxdxexegedebegacad
:PATH=/usr/local/apache-maven-2.2.1/bin:/usr/local/Floola-linux:/usr/local/eclipse:/usr/local/xmind/XMind_Linux:/usr/local/http_load-12mar2006:/sbin:/usr/sbin:/usr/local/apache-maven-2.2.1/bin:/usr/local/Floola-linux:/usr/local/eclipse:/usr/local/xmind/XMind_Linux:/usr/local/http_load-12mar2006:/sbin:/usr/sbin:/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/cnangel/bin:/home/cnangel/bin
:MAIL=/var/spool/mail/cnangel
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=ibus
:'PWD=/home/cnangel/\xe6\xa1\x8c\xe9\x9d\xa2'
:XMODIFIERS=@im=ibus
:ZEUSHOME=/usr/local/zeus
:EDITOR=vim
:LANG=zh_CN.UTF-8
:KDE_IS_PRELINKED=1
:GDM_LANG=zh_CN.utf8
:KDEDIRS=/usr
:'PS1=[\\[\\033[1;32m\\]\\u\\[\\033[1;33m\\]@\\[\\033[1;31m\\]\\h \\[\\033[1;35m\\]\\W\\[\\033[0m\\]]\\$'
:'HISTIGNORE=[   ]*:&:bg:fg:exit'
:GDMSESSION=gnome
:HISTCONTROL=erasedups
:XDG_SEAT=seat0
:HOME=/home/cnangel
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=cnangel
:CVS_RSH=ssh
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-gKbN4FRfEM,guid=e54ed70eb9e8ea338261c5630000002c
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:DISPLAY=:0
:VRDP_AUTH_PAM_SERVICE=vrdpauth
:XDG_RUNTIME_DIR=/run/user/cnangel
:'HISTTIMEFORMAT=%F %T -- '
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-cnangel-6CW3f3/database
:_=/bin/mail
:OLDPWD=/home/cnangel/works/ilike/conf

var_log_messages:
:Mar 21 15:30:50 localhost kernel: [23362.489952] mail[17511]: segfault at 0 ip 0804dbab sp bfbfcba0 error 4 in mailx[8047000+5b000]
:Mar 21 15:30:50 localhost abrt[17512]: Saved core dump of pid 17511 (/bin/mailx) to /var/spool/abrt/ccpp-2012-03-21-15:30:50-17511 (638976 bytes)
:Mar 21 15:31:07 localhost kernel: [23379.035967] mail[17555]: segfault at 0 ip 0804dbab sp bfd2ca80 error 4 in mailx[8047000+5b000]
:Mar 21 15:31:07 localhost abrt[17556]: Not dumping repeating crash in '/bin/mailx'
:Mar 21 15:31:32 localhost kernel: [23403.890386] mail[17558]: segfault at 0 ip 0804dbab sp bfd4b530 error 4 in mailx[8047000+5b000]
:Mar 21 15:31:32 localhost abrt[17559]: Saved core dump of pid 17558 (/bin/mailx) to /var/spool/abrt/ccpp-2012-03-21-15:31:32-17558 (638976 bytes)
:Mar 21 15:31:54 localhost kernel: [23425.921273] mail[17601]: segfault at 0 ip 0804dbab sp bf8c4600 error 4 in mailx[8047000+5b000]
:Mar 21 15:31:54 localhost abrt[17602]: Saved core dump of pid 17601 (/bin/mailx) to /var/spool/abrt/ccpp-2012-03-21-15:31:54-17601 (638976 bytes)
Comment 1 cnangel 2012-03-21 04:36:05 EDT
Created attachment 571639 [details]
File: pwd
Comment 2 cnangel 2012-03-21 04:36:07 EDT
Created attachment 571640 [details]
File: maps
Comment 3 cnangel 2012-03-21 04:36:09 EDT
Created attachment 571641 [details]
File: smolt_data
Comment 4 cnangel 2012-03-21 04:36:11 EDT
Created attachment 571642 [details]
File: backtrace
Comment 5 Peter Schiffer 2012-11-08 11:42:56 EST
Hello,

this crash is fixed in rawhide:
mailx-12.5-7.fc19
http://koji.fedoraproject.org/koji/buildinfo?buildID=365277

However, Fedora is using Heirloom mailx implementation of mail, where "-a" option is used for attachment:
-a file
    Attach the given file to the message.

It's not very convenient to send HTML email with this tool, but you can found some info here:
http://unix.stackexchange.com/questions/15405/how-do-i-send-html-email-using-linux-mail-command

or, you can also use sendmail directly:
http://www.liamdelahunty.com/tips/linux_send_html_email_from_command_line.php

Hope this helps.

peter
Comment 6 Fedora Update System 2012-11-08 12:24:35 EST
mailx-12.5-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mailx-12.5-7.fc18
Comment 7 Fedora Update System 2012-11-08 12:43:04 EST
mailx-12.5-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mailx-12.5-6.fc17
Comment 8 Fedora Update System 2012-11-08 13:00:12 EST
mailx-12.5-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mailx-12.5-4.fc16
Comment 9 Fedora Update System 2012-11-08 22:27:48 EST
Package mailx-12.5-7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mailx-12.5-7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17839/mailx-12.5-7.fc18
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2012-11-19 22:10:26 EST
mailx-12.5-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-11-19 22:11:20 EST
mailx-12.5-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.